~bryce/ubuntu/+source/nginx:fix-unsatisfiable-depends

Last commit made on 2020-07-07
Get this branch:
git clone -b fix-unsatisfiable-depends https://git.launchpad.net/~bryce/ubuntu/+source/nginx
Only Bryce Harrington can upload to this branch. If you are Bryce Harrington please log in for upload directions.

Branch merges

Branch information

Name:
fix-unsatisfiable-depends
Repository:
lp:~bryce/ubuntu/+source/nginx

Recent commits

b16861c... by Bryce Harrington on 2020-07-06

changelog

28e8043... by Bryce Harrington on 2020-07-06

  * Re-apply demotion of geoip in favor of geoip2
    - Fixes some accidentally dropped delta from merge to fix
      unsatisfiable depends. nginx-[core|full] need to depend on
      libnginx-mod-stream-geoip2, not on -geoip.
      (LP #1861101)

8f2387d... by Bryce Harrington on 2020-06-24

changelog cleanup

7f105b8... by Bryce Harrington on 2020-06-24

update-maintainer

45ed56b... by Bryce Harrington on 2020-06-24

reconstruct-changelog

8cda4da... by Bryce Harrington on 2020-06-24

merge-changelogs

1a14a89... by Bryce Harrington on 2020-06-24

  * Dropped:
    - d/rules: Enable --with-compat build option for all nginx package
      flavors (LP #1797897)

c4d65f5... by Bryce Harrington on 2020-06-23

  * Dropped:
    - d/control: Add dependency from nginx-full on `iproute2` as the
      postinst scripts now use `ss` to determine if Port 80 is open
      or not.
      [Taken by Debian in 1.18.0-2]

820981c... by Bryce Harrington on 2020-06-23

  * Dropped:
    - d/nginx-full.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt
      starting of the NGINX service during install/upgrade.

0328462... by Bryce Harrington on 2020-06-23

  * Dropped:
    - d/conf/sites-available/default: Update PHP path for PHP 7.4.
      [added in 1.17.9-0ubuntu3 taken by Debian in 1.18.0-2]